Subject: [DNSOP] draft-fujiwara-dnsop-avoid-fragmentation-03.txt

From: [email-masked]
Date: Mon, 13 Apr 2020 18:01:45 +0900 (JST)

Hello,

Paul Vixie and I submitted draft-fujiwara-dnsop-avoid-fragmentation-03.txt

Please review it.

Changes from 01 to 03 are:
- Changed title as Fragmentation Avoidance in DNS
- Refer draft-ietf-intarea-frag-fragile
- Fixed:  Minimum MTU forIPv4 is 68 (from 576)
- Added: DNS flag day 2020 proposed 1232 as an EDNS buffer size.
- Added: 'minimal-responses' configuration
- Added: consideration of DNS packet size
- Added: How to measure path MTU and calculate maximum DNS/UDP payload size

I think that we may need definition of "minimal-responses".

-----

A new version of I-D, draft-fujiwara-dnsop-avoid-fragmentation-03.txt
has been successfully submitted by Kazunori Fujiwara and posted to the
IETF repository.

Name:		draft-fujiwara-dnsop-avoid-fragmentation
Revision:	03
Title:		Fragmentation Avoidance in DNS
Document date:	2020-04-13
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/internet-drafts/draft-fujiwara-dnsop-avoid-fragmentation-03.txt
Status:         https://datatracker.ietf.org/doc/draft-fujiwara-dnsop-avoid-fragmentation/
Htmlized:       https://tools.ietf.org/html/draft-fujiwara-dnsop-avoid-fragmentation-03
Htmlized:       https://datatracker.ietf.org/doc/html/draft-fujiwara-dnsop-avoid-fragmentation
Diff:           https://www.ietf.org/rfcdiff?url2=draft-fujiwara-dnsop-avoid-fragmentation-03

Abstract:
   Path MTU discovery remains widely undeployed due to security issues,
   and IP fragmentation has exposed weaknesses in application protocols.
   Currently, DNS is known to be the largest user of IP fragmentation.
   It is possible to avoid IP fragmentation in DNS by limiting response
   size where possible, and signaling the need to upgrade from UDP to
   TCP transport where necessary.  This document proposes to avoid IP
   fragmentation in DNS.

--
Kazunori Fujiwara, JPRS <[email-masked]>